RCUR

Custom fields

List custom fields

get https://rcur.app/api/v2/custom-fields

Requires your API key as Authorization: Bearer <key>. See authentication.

Query parameters

  • page integer

    Page number for pagination

    Default: 1

Responses

200 List of custom fields object
  • data array of CustomFields
    9 child attributes · CustomField
    • id string required
    • name string required

      Internal name

    • label string required

      The question as the customer sees it

    • type string required

      One of text textarea number select checkbox date

    • options array of strings required

      The choices of a select field

    • required boolean required
    • store_on_customer boolean

      The latest answer is kept on the customer

    • store_on_record boolean

      The answer is kept on the payment, order or subscription of the checkout

    • created_at string required
  • links object
    4 child attributes
    • first string
    • last string
    • prev string nullable
    • next string nullable
  • meta object
    4 child attributes
    • current_page integer
    • last_page integer
    • per_page integer
    • total integer
Try it Send this request with your own API key

Requests run against the live data of the organization that owns the key.